Project

General

Profile

Bug #12494

Change DAVE to check for amd64 IDF

Added by sajolida 6 months ago. Updated about 1 month ago.

Status:
In Progress
Priority:
Elevated
Assignee:
Category:
Installation
Target version:
Start date:
04/29/2017
Due date:
% Done:

0%

QA Check:
Feature Branch:
Type of work:
Code
Blueprint:
Easy:
Affected tool:
Download and Verification Extension

Description

Once we ship an amd64 ISO only, we should change DAVE to download the IDF on https://tails.boum.org/install/v1/Tails/amd64/stable/latest.yml instead of https://tails.boum.org/install/v1/Tails/i386/stable/latest.yml.

See #11962#note-7.

Apparently the needed change is a mere s/i386/amd64/ in conf.json.

This should happen after 3.0.


Related issues

Related to Tails - Bug #12495: Create a copy of the 3.0 IDF on both 'amd64' and 'i386' paths Resolved 04/29/2017
Related to Tails - Bug #12572: Create a copy of the 3.0~rc1 IDF on both 'amd64' and 'i386' paths Rejected 04/29/2017
Blocks Tails - Bug #12496: Update download page to force a DAVE version that checks the amd64 IDF Confirmed 04/29/2017

Associated revisions

Revision d221e6b9 (diff)
Added by intrigeri 4 months ago

Release process: keep generating an IDF for DAVE on the i386 patch (Closes: #12495).

This is needed until refs: #12494 is done.

Revision f1a56704 (diff)
Added by intrigeri 3 months ago

Point the i386 UDF to 3.0.1 (refs: #12494).

History

#1 Updated by sajolida 6 months ago

  • Related to Bug #12495: Create a copy of the 3.0 IDF on both 'amd64' and 'i386' paths added

#2 Updated by sajolida 6 months ago

  • Blocks Bug #12496: Update download page to force a DAVE version that checks the amd64 IDF added

#3 Updated by intrigeri 5 months ago

  • Related to Bug #12572: Create a copy of the 3.0~rc1 IDF on both 'amd64' and 'i386' paths added

#4 Updated by intrigeri 4 months ago

  • Status changed from Confirmed to In Progress

#5 Updated by intrigeri 4 months ago

Once this is done, d221e6b92ee57cdf59f605d7c57b1a36dc09d029 shall be reverted.

#6 Updated by anonym 3 months ago

  • Target version changed from Tails_3.1 to Tails_3.2

#7 Updated by intrigeri about 1 month ago

  • Priority changed from Normal to Elevated
  • Target version changed from Tails_3.2 to Tails_3.3

I suggest you ignore DAVE until the 3.2 release and then put it on your list of top priorities for the 3.3 cycle.

Also available in: Atom PDF